// Div3.java                                    MM 2006
import Tools.IO.*;

/**
 * Double: Division durch Null
 * erzeugt ein Objekt der Klasse NennerException,
 * welches von der werfenden Methode weitergeleitet
 * und von der aufrufenden Methode abgefangen wird.
 */

public class Div3
{
/**
 * Testprogramm.
 */
  public static void main( String[] args)
  {
    double a = IOTools.readDouble( "Zaehler ");
    double b = IOTools.readDouble( "Nenner ");
    try
    {                       // zu schuetzende Anweisung
      System.out.println( "a/b = " + div( a, b));
      System.out.println( "div: OK");
    }
    catch( NennerException ne)
    {                   // Reaktion auf Nennerexception
      System.err.println( "FEHLER! " + ne);
    }
    catch( Exception e)
    {               // Reaktion auf Ausnahmen allgemein
      System.err.println( "FEHLER! " + e);
    }
    System.out.println( "main: OK");
  }

/**
 * Methode mit Ausnahme, diese wird weitergeleitet.
 */
  public static double div( double a, double b)
    throws NennerException
  {                      // Ausnahmeobjekt wird erzeugt
    if( b == 0) throw new NennerException();
    return a / b;
  }
}
