// Angestellter.java                            MM 2003

/**
 * Angestellter, abgeleitet von Mitarbeiter.
 */
public class Angestellter extends Mitarbeiter
{
/*---------------------------------------------------*/
                                         // Konstruktor
/**
 * Konstuktor, erzeugt neuen Angestellten.
 * @param name Name des Angestellten
 */
  public Angestellter( String name)
  {
    super( name);
  }

/*---------------------------------------------------*/
                                    // Instanzvariablen
/**
 * Monatliches Grundgehalt.
 */
  private double grundGehalt = 2000;

/**
 * Einmalige Ortszulage.
 */
  private double ortsZuschlag = 200;

/**
 * Einmalige Zulage.
 */
  private double zulage = 100;

/*---------------------------------------------------*/
                                      // Instanzmethode
/**
 * Berechnung des Monatsbruttolohns,
 * ueberschreibt abstrakte Methode.
 */
  public double monatsBrutto()
  {
    return grundGehalt + ortsZuschlag + zulage;
  }
}
