// Arbeiter.java                                MM 2003

/**
 * Arbeiter, abgeleitet von Mitarbeiter.
 */
public class Arbeiter extends Mitarbeiter
{
/*---------------------------------------------------*/
                                         // Konstruktor
/**
 * Konstuktor, erzeugt neuen Arbeiters.
 * @param name Name des Arbeiters
 */
  public Arbeiter( String name)
  {
    super( name);
  }

/*---------------------------------------------------*/
                                    // Instanzvariablen
/**
 * StundenLohn.
 */
  private double stundenLohn = 10;

/**
 * Monatlich geleistete Stunden, 4 Wochen a. 40 Stunden.
 */
  private int anzahlStunden = 160;

/**
 * Ueberstundenzuschlag.
 */
  private double ueberStundenZuschlag = 5;

/**
 * Monatlich geleistete Ueberstunden.
 */
  private int anzahlUeberStunden = 0;

/**
 * Einmalige Schichtzulage.
 */
  private double schichtZulage = 10;

/*---------------------------------------------------*/
                                      // Instanzmethode
/**
 * Berechnung des Monatsbruttolohns,
 * ueberschreibt abstrakte Methode.
 */
  public double monatsBrutto()
  {
    return stundenLohn * anzahlStunden +
    ueberStundenZuschlag * anzahlUeberStunden +
    schichtZulage;
  }
}
