// Manager.java                                 MM 2003

/**
 * Manager, abgeleitet von Mitarbeiter.
 */
public class Manager extends Mitarbeiter
{
/*---------------------------------------------------*/
                                         // Konstruktor
/**
 * Konstuktor, erzeugt neuen Manager.
 * @param name Name des Managers
 */
  public Manager( String name)
  {
    super( name);
  }

/*---------------------------------------------------*/
                                    // Instanzvariablen
/**
 * Monatlich festes Gehalt.
 */
  private double fixGehalt = 5000;

/**
 * Am Umsatz beteiligte Provision.
 */
  private double provision = 50;

/**
 * Umsatz im Monat.
 */
  private double umsatz = 0;

/*---------------------------------------------------*/
                                      // Instanzmethode
/**
 * Berechnung des Monatsbruttolohns,
 * ueberschreibt abstrakte Methode.
 */
  public double monatsBrutto()
  {
    return fixGehalt + umsatz * provision / 100;
  }
}
