// IntegerEingabe.java                          MM 2007

import java.io.*;                       // Datenstroeme

/**
 * Integereingabe ohne Klasse IOTools.
 */
public class IntegerEingabe
{
 public static void main( String[] args)
  {
    int eingabe;      // Vereinbarung einer ganzen Zahl

                                // Tastatureingabestrom
    BufferedReader in = new BufferedReader
                  ( new InputStreamReader( System.in));
    while( true)
    {
      System.out.print
      ( "Bitte eine ganze Zahl eingeben! ");
      try
      {
                   // Tastatureingabe einer ganzen Zahl
        eingabe = Integer.parseInt( in.readLine());
        break;
      }
      catch( NumberFormatException e)
      {                 // Verletzung des Zahlenformats
        System.err.println( "Eingabefehler " + e);
        System.err.println
        ( "Bitte Eingabe wiederholen...!");
      }
      catch( Exception e)
      {                                // andere Fehler
        System.err.println( "Fehler! " + e);
      }
    }
               // Konsolenausgabe der eingelesenen Zahl
    System.out.println( "Eingegebene Zahl: " + eingabe);
  }
}