// EinfacherRechner.java                        MM 2009
import Tools.IO.*;                          // Eingaben

/**
 * Einfacher Rechner,
 * fuehrt Grundrechenarten fuer Dezimalzahlen aus.
 */
public class EinfacherRechner
{
/**
 * Eingabe der Aufgabe (Operand1 Operator Operand2),
 * Berechnen und Ausgabe des Ergebnisses;
 * Abbruch auf Wunsch des Nutzers.
 */
  public static void main( String[] args)
  {
    char weiter = 'j';                      // j oder n

    do
    {
      // Aufgabe
      double operand1
      = IOTools.readDouble( "Operand1 = ");

      char op
      = IOTools.readChar( "Operator (+, -, *, /) ");

      double operand2
      = IOTools.readDouble( "Operand2 = ");

      // Berechnn und Ausgabe des Ergebnises
      double ergebnis;
      switch (op)
      {
        case '+':                          // Addition
          ergebnis = operand1 + operand2;
          System.out.print
          ( operand1 + " + " + operand2 + " = ");
          System.out.println( ergebnis);
          break;

        case '-':                       // Subtraktion
          ergebnis = operand1 - operand2;
          System.out.print
          ( operand1 + " - " + operand2 + " = ");
          System.out.println( ergebnis);
          break;

        case '*':                    // Multiplikation
          ergebnis = operand1 * operand2;
          System.out.print
          ( operand1 + " * " + operand2 + " = ");
          System.out.println( ergebnis);
          break;

        case '/':                          // Division
          if( operand2 != 0)
          {
            ergebnis = operand1 / operand2;
            System.out.print
            ( operand1 + " / " + operand2 + " = ");
            System.out.println( ergebnis);
          }
          else System.out.println( "Division durch 0");
          break;

        default:
          System.out.println( "Fehlerhafte Eingabe");
      }

      // Weiter
      weiter = IOTools.readChar( "Weiter(j/n)? ");
    } while( weiter == 'j');

    System.out.println( "Programm beendet");
  }
}
