//LinGleichung.java                             MM 2009

import Tools.IO.*;                           //Eingaben

/**
 * Berechnen der linearen Gleichung ax + b = 0.
 */
public class LinGleichung
{
/**
 * Eingabe der Parameter a und b,
 * Berechnen und Ausgabe der Loesung.
 */
  public static void main( String[] args)
  {
// Eingabe der Parameter a und b
    System.out.println( "Loesung ax + b = 0");
    double a = IOTools.readDouble( "a = ");
    double b = IOTools.readDouble( "b = ");

// Berechnen und Ausgabe, Fallunterscheidung
    if( a == 0)
      if( b == 0)          // unendlich viele Loesungen
        System.out.println("L = R");
      else                             // keine Loesung
        System.out.println("L = {}");
    else                                   // 1 Loesung
        System.out.println("L = {" + -b/a + "}");
  }
}

/* ------------------------------------------------- */
// Testbeispiel 3.0x + 4.0 = 0
// L = {-1.3333333333333333}

// Testbeispiel 3.0x + 0.0 = 0
// L = {-0.0} !!!

// Testbeispiel 0.0x + 2.0 = 0
// L = {}

// Testbeispiel 0.0x + 0.0 = 0
// L = R
