//ChatServer.java                               MM 2011

import java.io.*;                          // Exception
import java.net.*;              // ServerSocket, Socket

/**
 * Server fuer Chatroom,
 * erzeugt einen ServerSocket mit angegebenen Port,
 * wartet auf Client,
 * erzeugt Socket fuer Kommunikation
 * und startet Protokoll fuer Client.
 * Aufruf: java ChatServer <Port>
 */
class ChatServer
{
  public static void main( String[] args)
  {
// Model
    ChatModel model = new ChatModel();

    try
    {
// ServerSocket
      int port = Integer.parseInt( args[ 0]);
      ServerSocket server = new ServerSocket( port);
      System.out.println( "ChatServer laeuft");

// Client
      while( true)
      {
        Socket s = server.accept();
        new ChatServerProtokoll( s, model);
      }
    }
    catch( ArrayIndexOutOfBoundsException e)
    {
      System.out.println
      ( "\nAufruf: java ChatServer <Port>\n");
    }
    catch( Exception e)
    {
      System.out.println
      ( "\nServer konnte nicht gestartet werden\n  " + e);
    }
  }
}