// GFManager.java                               MM 2003

/**
 * Geschaeftfuehrender Manager, abgeleitet von Manager.
 */
class GFManager extends Manager
{
/*---------------------------------------------------*/
                                         // Konstruktor
/**
 * Konstuktor, erzeugt neuen GFManager.
 * @param name Name des GFManagers
 */
  public GFManager( String name)
  {
    super( name);
  }

/*---------------------------------------------------*/
                                     // Instanzvariable
/**
 * Monatliche Zulage fuer Geschaeftfuehrer.
 */
  private double gfZulage = 500;

/*---------------------------------------------------*/
                                      // Instanzmethode
/**
 * Berechnung des Monatsbruttolohns,
 * ueberschreibt abstrakte Methode.
 */
  public double monatsBrutto()
  {
    return super.monatsBrutto() + gfZulage;
  }
}
