// PrinterRunnable.java                         MM 2005

/**
 * Nebenlufiger Druck einer Zahl, als Runnable.
 */
public class PrinterRunnable
  implements Runnable
{
/**
 * Druckzahl.
 */
  private int n;

/**
 * Konstruktor, setzt Druckzahl.
 * @param n Druckzahl
 */
  public PrinterRunnable( int n)
  {
    this.n = n;
  }

/**
 * Druckt Zahl 40x, mit Druckunterbrechung.
 */
  public void run()
  {
    try
    {
      for( int i = 0; i < 40; i++)
      {
        System.out.print( n);
        Thread.sleep((int)( Math.random() * 100));
      }
    }
    catch( InterruptedException e)
    {
      // tue nichts
    }
  }

/* ------------------------------------------------- */
/**
 * Test.
 */
  public static void main( String[] args)
  {
    Thread nullPrinter
    = new Thread( new PrinterRunnable( 0));
    Thread einsPrinter
    = new Thread( new PrinterRunnable( 1));

    nullPrinter.start();
    einsPrinter.start();
  }
}