// PrinterThread.java                           MM 2005

/**
 * Nebenlufiger Druck einer Zahl, als Thread.
 */
public class PrinterThread
  extends Thread
{
/**
 * Druckzahl.
 */
  private int n;

/**
 * Konstruktor, setzt Druckzahl.
 * @param n Druckzahl
 */
  public PrinterThread( int n)
  {
    this.n = n;
  }

/**
 * Druckt Zahl 40x.
 */
  public void run()
  {
    for( int i = 0; i < 40; i++)
      System.out.print( n);
  }

/* ------------------------------------------------- */
/**
 * Test, sequentiell und parallel.
 */
  public static void main( String[] args)
  {
    Thread nullPrinter = new PrinterThread( 0);
    Thread einsPrinter = new PrinterThread( 1);

// sequentiell
    nullPrinter.run();
    einsPrinter.run();

    System.out.println();

// parallel
    nullPrinter.start();
    einsPrinter.start();
  }
}